<article class="card blog-card">
  <a href="{{ .RelPermalink }}" title="{{ .Title }}">
    {{ with .Params.image }}
    {{ if fileExists (add `assets/` .) }}
    {{$img:= resources.Get . }}
    <img loading="lazy" decoding="async" class="card-img-top h-auto" width="{{$img.Width}}" height="{{$img.Height}}"
      src="{{$img.RelPermalink}}" alt="blog-post" onerror="this.onerror=null;this.src='{{$img.RelPermalink}}'">
    {{else}}
    <img class="img-fluid" src="https://via.placeholder.com/570x380.png/eee/eee" alt="image-fallback">
    {{end}}
    {{end}}
  </a>
  <div class="card-body">
    <h3 class="card-title"><a href="{{ .RelPermalink }}" title="{{ .Title }}">{{ .Title }}</a></h3>
    <p>{{ .Plain | truncate 120 }}</p>
  </div>
  <div class="card-footer bg-transparent border-top-0">
    <div class="card-author">
      <div class="d-flex align-items-center">
        {{ with .Params.author_info }}
        <div class="user-image mr-3">
          {{ if .image }}
          {{ $img:= resources.Get (.image) }}
          {{ $img:= $img.Fill "70x70" }}
          {{ $imgWebp:= $img.Fill "70x70 webp" }}
          <img loading="lazy" decoding="async" class="rounded-circle" src="{{ $imgWebp.RelPermalink }}" alt="author image" onerror="this.onerror=null;this.src='{{$img.RelPermalink}}'">
          {{ end }}
        </div>
        {{ end }}
        <div class="user-info">
          {{ with .Params.author_info }}
          <p class="font-weight-500 mb-0 h5">{{ .name }}</p>
          {{ end }}
          <span>{{.PublishDate.Format "Jan 02, 2006"}}{{if site.Params.reading_time}} - {{.ReadingTime}} Min read{{end}}</span>
        </div>
      </div>
    </div>
  </div>
</article>